Bulletin d'alerte Debian

DSA-864-1 ruby1.8 -- Erreur de programmation

Date du rapport :
13 octobre 2005
Paquets concernés :
ruby1.8
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 332742.
Dans le dictionnaire CVE du Mitre : CVE-2005-2337.
Les annonces de vulnérabilité et les bulletins d'alerte du CERT : VU#160012.
Plus de précisions :

Yutaka Oiwa a découvert un bogue dans Ruby, l'interpréteur du langage de script orienté objet. Du code non autorisé pouvait outrepasser les tests de niveau de sécurité et de marquage de possible corruption (« taint flag »), et ainsi être exécuté. Le tableau suivant explique pour chaque distribution quelle version contient la correction :

  ancienne stable (Woody) stable (Sarge) instable (Sid)
ruby 1.6.7-3woody5 N.D. N.D.
ruby1.6 N.D. 1.6.8-12sarge1 1.6.8-13
ruby1.8 N.D. 1.8.2-7sarge2 1.8.3-1

Nous vous recommandons de mettre à jour vos paquets ruby.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2.dsc
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2.diff.gz
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/r/ruby1.8/irb1.8_1.8.2-7sarge2_all.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/rdoc1.8_1.8.2-7sarge2_all.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ri1.8_1.8.2-7sarge2_all.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-elisp_1.8.2-7sarge2_all.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-examples_1.8.2-7sarge2_all.deb
Alpha:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_alpha.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_amd64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_arm.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_i386.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_ia64.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_hppa.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_m68k.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_mips.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_mipsel.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_powerpc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_s390.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libruby1.8-dbg_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8_1.8.2-7sarge2_sparc.deb
http://security.debian.org/pool/updates/main/r/ruby1.8/ruby1.8-dev_1.8.2-7sarge2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.